package discRack.actions;

import discRack.*;

import java.awt.event.ActionEvent;

import org.enhydra.dods.DODS;

/**
 * Class that realizes <B>exit</B> action.
 *
 * @author Sasa Bojanic
 * @version 1.0
 */
public class Exit extends ActionBase {

   public Exit (DiscRack discRack) {
      super(discRack);
   }

   public void actionPerformed(ActionEvent e) {
      try {
         DODS.shutdown();            
     } catch (Throwable t) {
         t.printStackTrace();
     } finally {
         System.exit(0);
     }
   }
}
